<mamecheat version="1">

  <cheat desc="Infinite Lives">
    <script state="run">
      <action>maincpu.pb@C41D=63</action>
    </script>
  </cheat>

  <cheat desc="Invincibility">
    <script state="on">
      <action>temp0 =maincpu.md@464A</action>
      <action>temp1 =maincpu.mw@46EC</action>
      <action>temp2 =maincpu.mw@6E96</action>
      <action>temp3 =maincpu.md@6EC0</action>
      <action>temp4 =maincpu.mw@71E3</action>
      <action>temp5 =maincpu.mw@7249</action>
    </script>
    <script state="run">
      <action>maincpu.md@464A=0046A5C3|(maincpu.md@464A BAND ~00FFFFFF)</action>
      <action>maincpu.mw@46EC=C9B7</action> <!-- 1st = Boss attack, 2nd = Hostage damage -->
      <action>maincpu.mw@6E96=6F59</action> <!-- Avoid collision check (Fire) -->
      <action>maincpu.md@6EC0=006F59C3|(maincpu.md@6EC0 BAND ~00FFFFFF)</action> <!-- Avoid collision check (Enemy) -->
      <action>maincpu.mw@71E3=C9B7</action> <!-- Obstacle -->
      <action>maincpu.mw@7249=C9B7</action> <!-- White battery -->
    </script>
    <script state="off">
      <action>maincpu.md@464A=temp0 </action>
      <action>maincpu.mw@46EC=temp1 </action>
      <action>maincpu.mw@6E96=temp2 </action>
      <action>maincpu.md@6EC0=temp3 </action>
      <action>maincpu.mw@71E3=temp4 </action>
      <action>maincpu.mw@7249=temp5 </action>
    </script>
  </cheat>

  <cheat desc="Finish Current Zone Now!">
    <script state="on">
      <action>maincpu.pb@C041=10</action>
    </script>
  </cheat>

  <cheat desc="Finish Final Zone Now!">
    <script state="on">
      <action>maincpu.pb@C041=0F</action>
    </script>
  </cheat>

  <cheat desc="Rapid Fire">
    <script state="run">
      <action>maincpu.pb@C037=00</action>
      <action>maincpu.pb@C456=00</action>
    </script>
  </cheat>

  <cheat desc="Charge Always = 255">
    <script state="run">
      <action>maincpu.pb@C426=FF</action>
    </script>
  </cheat>

</mamecheat>
<!-- Cheat file downloaded from http://www.mamecheat.co.uk, see cheat.txt for list of contributors. -->
